summaryrefslogtreecommitdiff
path: root/archiso/initcpio/script/archiso_shutdown
diff options
context:
space:
mode:
authorDavid Runge <dvzrv@archlinux.org>2020-07-11 18:13:20 +0200
committerDavid Runge <dvzrv@archlinux.org>2020-07-11 20:58:01 +0200
commite2032db4e74c66d3f8bcba97497ccb5fff88df4b (patch)
tree6b1fa957e952916ed34ff101cd277c11c3a9437b /archiso/initcpio/script/archiso_shutdown
parent550aca712432c6708fc48db5e9a8aaba9ef1e0c1 (diff)
downloadarchiso32-e2032db4e74c66d3f8bcba97497ccb5fff88df4b.tar.xz
Adding linting for initcpio scripts
archiso/initcpio/install/*: Setting bash shebang for all scripts and making them comform with shellcheck. archiso/initcpio/{hooks,script}/*: Setting ash shebang for all scripts and making them comform with shellcheck (for dash, as shellcheck has no ash specific ruleset). Essentially the ash based scripts should be POSIX compliant as much as possible to have an easier time writing, debugging and maintaining them. Ensuring that variables are not treated as options and introducing variable quoting. .gitlab-ci.yml: Integrating shellcheck for initcpio scripts. Closes #32
Diffstat (limited to 'archiso/initcpio/script/archiso_shutdown')
-rw-r--r--archiso/initcpio/script/archiso_shutdown12
1 files changed, 7 insertions, 5 deletions
diff --git a/archiso/initcpio/script/archiso_shutdown b/archiso/initcpio/script/archiso_shutdown
index 41b3945..4a0c7dc 100644
--- a/archiso/initcpio/script/archiso_shutdown
+++ b/archiso/initcpio/script/archiso_shutdown
@@ -5,15 +5,15 @@ mkdir /oldrun
mount -n --move /oldroot/run /oldrun
# Unmount all mounts now.
-umount $(mount | awk '$3 ~/^\/oldroot/ {print $3}' | sort -r)
+umount "$(mount | awk '$3 ~/^\/oldroot/ {print $3}' | sort -r)"
# Remove all dm-snapshot devices.
dmsetup remove_all
# Remove all loopback devices.
for _lup in $(grep ^/dev/loop /oldrun/archiso/used_block_devices | tac); do
- if ! losetup -d ${_lup} 2> /dev/null; then
- umount -d ${_lup}
+ if ! losetup -d -- "${_lup}" 2> /dev/null; then
+ umount -d -- "${_lup}"
fi
done
@@ -21,8 +21,8 @@ done
umount /oldrun/archiso/cowspace
# Unmount boot device if needed (no copytoram=y used)
-if [[ ! -d /oldrun/archiso/copytoram ]]; then
- if [[ -d /oldrun/archiso/img_dev ]]; then
+if [ ! -d /oldrun/archiso/copytoram ]; then
+ if [ -d /oldrun/archiso/img_dev ]; then
umount /oldrun/archiso/img_dev
else
umount /oldrun/archiso/bootmnt
@@ -35,3 +35,5 @@ case "$1" in
reboot|poweroff|halt) "$1" -f ;;
*) halt -f;;
esac
+
+# vim: set ft=sh: